package cs108.c;

import java.util.Iterator;

public final class LinkedList<E> implements List<E> {
    private final java.util.LinkedList<E> l = new java.util.LinkedList<>();

    @Override
    public boolean isEmpty() {
        return l.isEmpty();
    }

    @Override
    public int size() {
        return l.size();
    }

    @Override
    public void add(E newElem) {
        l.add(newElem);
    }

    @Override
    public Iterator<E> iterator() {
        return l.iterator();
    }

    @Override
    public <F> void addAll(List<F> l) {
        for (E e: l)
            add(e);
    }
}
