package cs108.h;

import java.util.Iterator;

public interface List<E> extends Iterable<E> {
    boolean isEmpty();
    int size();
    void add(E newElem);
    Iterator<E> iterator();
    
    void addAll(List<? extends E> l);
    void addAllInto(List<? super E> l);
    void addAllFromAndInto(List<E> l);
}
