package cs108.j;

import java.util.Iterator;

public final class LinkedList<E> implements List<E> {
    private final java.util.LinkedList<E> l = new java.util.LinkedList<>();

    @Override
    public boolean isEmpty() {
        return l.isEmpty();
    }

    @Override
    public int size() {
        return l.size();
    }

    @Override
    public void add(E newElem) {
        l.add(newElem);
    }

    @Override
    public Iterator<E> iterator() {
        return l.iterator();
    }

    @Override
    public void addAll(List<? extends E> l) {
        for (E e: l)
            add(e);
    }

    @Override
    public void addAllInto(List<? super E> that) {
        that.addAll(this);
    }

    @Override
    public void addAllFromAndInto(List<E> that) {
        this.addAll(that);
        that.addAll(this);
    }
}
